fop 2.3

## org.apache.fop.render.pcl.fonts
Class PCLFontSegment

    java.lang.Object
      org.apache.fop.render.pcl.fonts.PCLFontSegment

    public class PCLFontSegment

extends java.lang.Object

Nested Class Summary
`static class` `PCLFontSegment.SegmentID`

Constructor Summary
`PCLFontSegment(PCLFontSegment.SegmentID identifier, byte[] data)`

Method Summary
`byte[]` `getData()`
`PCLFontSegment.SegmentID` `getIdentifier()`
`int` `getSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLFontSegment

    public PCLFontSegment(PCLFontSegment.SegmentID identifier,
                          byte[] data)

Method Detail

### getData

    public byte[] getData()

### getIdentifier

    public PCLFontSegment.SegmentID getIdentifier()

### getSize

    public int getSize()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.